package com.uavps.system.domain;

import com.uavps.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 算法任务和多目标集群关联对象 uavps_algorithm_task_formation
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public class UavpsAlgorithmTaskFormation extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 算法任务ID */
    private Long algorithmTaskId;

    /** 多目标集群ID */
    private Long formationId;

    public void setAlgorithmTaskId(Long algorithmTaskId) {
        this.algorithmTaskId = algorithmTaskId;
    }

    public Long getAlgorithmTaskId() {
        return algorithmTaskId;
    }

    public void setFormationId(Long formationId) {
        this.formationId = formationId;
    }

    public Long getFormationId() {
        return formationId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("algorithmTaskId", getAlgorithmTaskId())
                .append("formationId", getFormationId())
                .toString();
    }
}
